Various examples for different nix flakes, useful for `nix develop`

Usage
-----

Several options for using these flakes:

1. Copy the flake.nix file locally, use nix develop
2. Use in place with nix develop. For example, for hugo:

```sh
$ nix develop https://git.lerch.org/lobo/nix-flake-examples/archive/master.tar.gz?dir=/hugo
```

3. Use with [devenv](https://devenv.sh/). Again, hugo example. Add this to `.envrc`:

```sh
if ! has nix_direnv_version || ! nix_direnv_version 3.0.6; then
  source_url "https://raw.githubusercontent.com/nix-community/nix-direnv/3.0.6/direnvrc" "sha256-RYcUJaRMf8oF5LznDrlCXbkOQrywm0HDv1VjYGaJGdM="
fi

use flake 'https://git.lerch.org/lobo/nix-flake-examples/archive/master.tar.gz?dir=/hugo'
```
